> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetContractInfoBatch



## OpenAPI

````yaml sequence-metadata.json post /rpc/Metadata/GetContractInfoBatch
openapi: 3.0.0
info:
  title: Sequence Metadata
  version: 0.0.1
servers:
  - url: https://metadata.sequence.app/
    description: Metadata
security: []
tags:
  - name: public
    description: >-
      Endpoints accessible by passing your project-access-key in the header.
      This is injected whenever you login automatically.
  - name: secret
    description: >-
      Endpoints that require a Sequence service token intended to be secret. You
      can manually generate one on Sequence Builder and pass it as a Bearer
      Token.
paths:
  /rpc/Metadata/GetContractInfoBatch:
    post:
      tags:
        - public
      summary: GetContractInfoBatch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Metadata_GetContractInfoBatch_Request'
            examples:
              '0':
                value:
                  chainID: '80002'
                  contractAddresses:
                    - '0x33c7848db3d37103718736d233f0db65cc222b1e'
                    - '0x70a2177071177e4aae639d1abb23ffa537b94970'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Metadata_GetContractInfoBatch_Response'
              examples:
                '0':
                  value:
                    contractInfoMap:
                      '0x33c7848db3d37103718736d233f0db65cc222b1e':
                        chainId: 80002
                        address: '0x33c7848db3d37103718736d233f0db65cc222b1e'
                        name: Knives
                        type: ERC1155
                        symbol: ''
                        logoURI: >-
                          https://metadata.sequence.app/projects/35598/collections/827/image.png
                        deployed: true
                        bytecodeHash: >-
                          0x77d12b9637a99b3ba23920eea929a68cc89b49a0e1ff4d2a71b798550cc0060e
                        extensions:
                          link: https://baseurl/collections/collectioname
                          description: >-
                            All knives from Alternates can be found in this
                            category.
                          ogImage: >-
                            https://metadata.sequence.app/projects/35598/collections/827/image.png
                          ogName: Knives
                          originChainId: 0
                          originAddress: '0x33c7848db3d37103718736d233f0db65cc222b1e'
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-10-23T06:12:24.243404151Z'
                      '0x70a2177071177e4aae639d1abb23ffa537b94970':
                        chainId: 80002
                        address: '0x70a2177071177e4aae639d1abb23ffa537b94970'
                        name: Placeholders
                        type: ERC721
                        symbol: ''
                        logoURI: >-
                          https://metadata.sequence.app/projects/30957/collections/819/image.png
                        deployed: true
                        bytecodeHash: >-
                          0x77d12b9637a99b3ba23920eea929a68cc89b49a0e1ff4d2a71b798550cc0060e
                        extensions:
                          link: ''
                          description: Placeholders collection
                          ogImage: >-
                            https://metadata.sequence.app/projects/30957/collections/819/image.png
                          ogName: Vault for Sales
                          originChainId: 0
                          originAddress: '0x70a2177071177e4aae639d1abb23ffa537b94970'
                          verified: true
                          verifiedBy: token-directory
                        updatedAt: '2024-10-23T05:53:19.171080211Z'
        4XX:
          description: Client error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcEndpoint'
                  - $ref: '#/components/schemas/ErrorWebrpcRequestFailed'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRoute'
                  - $ref: '#/components/schemas/ErrorWebrpcBadMethod'
                  - $ref: '#/components/schemas/ErrorWebrpcBadRequest'
                  - $ref: '#/components/schemas/ErrorWebrpcClientDisconnected'
                  - $ref: '#/components/schemas/ErrorWebrpcStreamLost'
                  - $ref: '#/components/schemas/ErrorUnauthorized'
                  - $ref: '#/components/schemas/ErrorPermissionDenied'
                  - $ref: '#/components/schemas/ErrorSessionExpired'
                  - $ref: '#/components/schemas/ErrorMethodNotFound'
                  - $ref: '#/components/schemas/ErrorRequestConflict'
                  - $ref: '#/components/schemas/ErrorGeoblocked'
                  - $ref: '#/components/schemas/ErrorTimeout'
                  - $ref: '#/components/schemas/ErrorInvalidArgument'
                  - $ref: '#/components/schemas/ErrorRequiredArgument'
                  - $ref: '#/components/schemas/ErrorQueryFailed'
                  - $ref: '#/components/schemas/ErrorValidationFailed'
                  - $ref: '#/components/schemas/ErrorRateLimited'
                  - $ref: '#/components/schemas/ErrorNotFound'
                  - $ref: '#/components/schemas/ErrorProjectNotFound'
                  - $ref: '#/components/schemas/ErrorChainNotFound'
                  - $ref: '#/components/schemas/ErrorTokenDirectoryDisabled'
        5XX:
          description: Server error
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ErrorWebrpcBadResponse'
                  - $ref: '#/components/schemas/ErrorWebrpcServerPanic'
                  - $ref: '#/components/schemas/ErrorWebrpcInternalError'
                  - $ref: '#/components/schemas/ErrorFail'
      security:
        - ApiKeyAuth:
            - AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
components:
  schemas:
    Metadata_GetContractInfoBatch_Request:
      type: object
      properties:
        chainID:
          type: string
        contractAddresses:
          type: array
          description: '[]string'
          items:
            type: string
    Metadata_GetContractInfoBatch_Response:
      type: object
      properties:
        contractInfoMap:
          type: object
          description: map<string,ContractInfo>
          additionalProperties:
            $ref: '#/components/schemas/ContractInfo'
        task:
          $ref: '#/components/schemas/Task'
    ErrorWebrpcEndpoint:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcEndpoint
        code:
          type: number
          example: 0
        msg:
          type: string
          example: endpoint error
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcRequestFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcRequestFailed
        code:
          type: number
          example: -1
        msg:
          type: string
          example: request failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadRoute:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRoute
        code:
          type: number
          example: -2
        msg:
          type: string
          example: bad route
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorWebrpcBadMethod:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadMethod
        code:
          type: number
          example: -3
        msg:
          type: string
          example: bad method
        cause:
          type: string
        status:
          type: number
          example: 405
    ErrorWebrpcBadRequest:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadRequest
        code:
          type: number
          example: -4
        msg:
          type: string
          example: bad request
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcClientDisconnected:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcClientDisconnected
        code:
          type: number
          example: -8
        msg:
          type: string
          example: client disconnected
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcStreamLost:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcStreamLost
        code:
          type: number
          example: -9
        msg:
          type: string
          example: stream lost
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorUnauthorized:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Unauthorized
        code:
          type: number
          example: 1000
        msg:
          type: string
          example: Unauthorized access
        cause:
          type: string
        status:
          type: number
          example: 401
    ErrorPermissionDenied:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: PermissionDenied
        code:
          type: number
          example: 1001
        msg:
          type: string
          example: Permission denied
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorSessionExpired:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: SessionExpired
        code:
          type: number
          example: 1002
        msg:
          type: string
          example: Session expired
        cause:
          type: string
        status:
          type: number
          example: 403
    ErrorMethodNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: MethodNotFound
        code:
          type: number
          example: 1003
        msg:
          type: string
          example: Method not found
        cause:
          type: string
        status:
          type: number
          example: 404
    ErrorRequestConflict:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequestConflict
        code:
          type: number
          example: 1004
        msg:
          type: string
          example: Conflict with target resource
        cause:
          type: string
        status:
          type: number
          example: 409
    ErrorGeoblocked:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Geoblocked
        code:
          type: number
          example: 1006
        msg:
          type: string
          example: Geoblocked region
        cause:
          type: string
        status:
          type: number
          example: 451
    ErrorTimeout:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Timeout
        code:
          type: number
          example: 2000
        msg:
          type: string
          example: Request timed out
        cause:
          type: string
        status:
          type: number
          example: 408
    ErrorInvalidArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: InvalidArgument
        code:
          type: number
          example: 2001
        msg:
          type: string
          example: Invalid argument
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorRequiredArgument:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RequiredArgument
        code:
          type: number
          example: 2002
        msg:
          type: string
          example: Required argument missing
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorQueryFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: QueryFailed
        code:
          type: number
          example: 2003
        msg:
          type: string
          example: Query failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorValidationFailed:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ValidationFailed
        code:
          type: number
          example: 2004
        msg:
          type: string
          example: Validation failed
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorRateLimited:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: RateLimited
        code:
          type: number
          example: 2005
        msg:
          type: string
          example: Rate limited
        cause:
          type: string
        status:
          type: number
          example: 429
    ErrorNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: NotFound
        code:
          type: number
          example: 3000
        msg:
          type: string
          example: Resource not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorProjectNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ProjectNotFound
        code:
          type: number
          example: 3002
        msg:
          type: string
          example: Project not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorChainNotFound:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: ChainNotFound
        code:
          type: number
          example: 3003
        msg:
          type: string
          example: Chain not found
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorTokenDirectoryDisabled:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: TokenDirectoryDisabled
        code:
          type: number
          example: 4001
        msg:
          type: string
          example: Token Directory is disabled
        cause:
          type: string
        status:
          type: number
          example: 400
    ErrorWebrpcBadResponse:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcBadResponse
        code:
          type: number
          example: -5
        msg:
          type: string
          example: bad response
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcServerPanic:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcServerPanic
        code:
          type: number
          example: -6
        msg:
          type: string
          example: server panic
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorWebrpcInternalError:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: WebrpcInternalError
        code:
          type: number
          example: -7
        msg:
          type: string
          example: internal error
        cause:
          type: string
        status:
          type: number
          example: 500
    ErrorFail:
      type: object
      required:
        - error
        - code
        - msg
        - status
      properties:
        error:
          type: string
          example: Fail
        code:
          type: number
          example: 1005
        msg:
          type: string
          example: Request Failed
        cause:
          type: string
        status:
          type: number
          example: 500
    ContractInfo:
      type: object
      required:
        - chainId
        - address
        - name
        - type
        - symbol
        - logoURI
        - deployed
        - bytecodeHash
        - extensions
        - contentHash
        - updatedAt
        - notFound
        - status
      properties:
        chainId:
          type: number
        address:
          type: string
        name:
          type: string
        type:
          type: string
        symbol:
          type: string
        decimals:
          type: number
        logoURI:
          type: string
        deployed:
          type: boolean
        bytecodeHash:
          type: string
        extensions:
          $ref: '#/components/schemas/ContractInfoExtensions'
        contentHash:
          type: number
        updatedAt:
          type: string
        notFound:
          type: boolean
        queuedAt:
          type: string
        status:
          $ref: '#/components/schemas/ResourceStatus'
    Task:
      type: object
      required:
        - id
        - queue
        - try
        - payload
      properties:
        id:
          type: number
        queue:
          type: string
        status:
          $ref: '#/components/schemas/TaskStatus'
        try:
          type: number
        runAt:
          type: string
        lastRanAt:
          type: string
        createdAt:
          type: string
        payload:
          type: array
          description: '[]byte'
          items:
            type: string
        hash:
          type: string
    ContractInfoExtensions:
      type: object
      required:
        - link
        - description
        - categories
        - ogImage
        - ogName
        - originChainId
        - originAddress
        - blacklist
        - verified
        - verifiedBy
        - featured
      properties:
        link:
          type: string
        description:
          type: string
        categories:
          type: array
          description: '[]string'
          items:
            type: string
        ogImage:
          type: string
        ogName:
          type: string
        originChainId:
          type: number
        originAddress:
          type: string
        blacklist:
          type: boolean
        verified:
          type: boolean
        verifiedBy:
          type: string
        featured:
          type: boolean
    ResourceStatus:
      type: string
      description: Represented as uint32 on the server side
      enum:
        - NOT_AVAILABLE
        - STALE
        - AVAILABLE
    TaskStatus:
      type: string
      description: Represented as uint8 on the server side
      enum:
        - QUEUED
        - PAUSED
        - FAILED
        - COMPLETED
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      description: >-
        Public project access key for authenticating requests obtained on
        Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
      name: X-Access-Key

````